/*
 * Proyecto: Visor
 * Fichero: Form1.prg
 * Descripcin:
 * Autor:
 * Fecha: 22/09/2015
 */

#include "Xailer.ch"

CLASS TVisor FROM TForm

   COMPONENT oImage1
   COMPONENT oButton1
   COMPONENT oButton2
   COMPONENT oButton3
   COMPONENT oFileOpenDlg1
   COMPONENT oMenu1

   METHOD CreateForm()
   METHOD Button1Click( oSender )
   METHOD Button2Click( oSender )
   METHOD Button3Click( oSender )
   METHOD FormChar( oSender, nKey, nFlags )
   METHOD Image1DropFiles( oSender, aFiles, aPoint )
   METHOD FormInitialize( oSender )
   METHOD Menu1Item1_1Click( oSender, oMenu )
   METHOD Menu1Item1_2Click( oSender, oMenu )
   METHOD Menu1Item1_3Click( oSender, oMenu )

ENDCLASS

#include "Form1.xfm"

//------------------------------------------------------------------------------

METHOD Button1Click( oSender ) CLASS TVisor

   IF ::oFileOpenDlg1:Run()
      ::oImage1:oPicture := ::oFileOpenDlg1:cFullFileName
   ENDIF

RETURN Nil

//------------------------------------------------------------------------------

METHOD Button2Click( oSender ) CLASS TVisor
  ::oImage1:nZoom *= 2
RETURN Nil

//------------------------------------------------------------------------------

METHOD Button3Click( oSender ) CLASS TVisor
  ::oImage1:nZoom /=2
RETURN Nil

//------------------------------------------------------------------------------

METHOD FormChar( oSender, nKey, nFlags ) CLASS TVisor
      IF nKey == Asc ("+")
         ::Button2Click()
       ELSEIF nKey == Asc ("-")
         ::Button3Click()
      ENDIF

RETURN Nil

//------------------------------------------------------------------------------

METHOD Image1DropFiles( oSender, aFiles, aPoint ) CLASS TVisor
   ::oImage1:oPicture := aFiles[1]
RETURN Nil

//------------------------------------------------------------------------------

METHOD FormInitialize( oSender ) CLASS TVisor

   LOCAL nZoom

      WITH OBJECT TIni():New(".\Visor.ini")
         ::oFileOpenDlg1:cInitialDir := :GetEntry("CONFIG","Directorio","")
         nZoom := :GetEntry("CONFIG","Zoom",0)
      END

      DO CASE
         CASE nZoom == -2
            ::oImage1:nZoom := 25
         CASE nZoom == -1
            ::oImage1:nZoom := 50
         CASE nZoom == 1
            ::oImage1:nZoom := 200
         CASE nZoom == 2
            ::oImage1:nZoom := 400
      ENDCASE

      IF !Empty(Application:aArguments)
         ::oImage1:oPicture := Application:aArguments[1]
      ENDIF
RETURN Nil

//------------------------------------------------------------------------------


METHOD Menu1Item1_1Click( oSender, oMenu ) CLASS TVisor
   ::Button1Click()
RETURN Nil

//------------------------------------------------------------------------------

METHOD Menu1Item1_2Click( oSender, oMenu ) CLASS TVisor
   TConfig():New(Self):ShowModal()
RETURN Nil

//------------------------------------------------------------------------------

METHOD Menu1Item1_3Click( oSender, oMenu ) CLASS TVisor
   ::Close()
RETURN Nil

//------------------------------------------------------------------------------
